FormFieldPlacementConditions
Update a Form Set Condition
Update a specific form_field_placement_condition by id
PUT
/
v1
/
form_field_placement_conditions
/
{id}
Update a Form Set Condition
curl --request PUT \
--url https://api.rootly.com/v1/form_field_placement_conditions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "form_field_placement_conditions",
"attributes": {
"position": 123,
"form_field_id": "<string>",
"values": [
"<string>"
]
}
}
}
'import requests
url = "https://api.rootly.com/v1/form_field_placement_conditions/{id}"
payload = { "data": {
"type": "form_field_placement_conditions",
"attributes": {
"position": 123,
"form_field_id": "<string>",
"values": ["<string>"]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'form_field_placement_conditions',
attributes: {position: 123, form_field_id: '<string>', values: ['<string>']}
}
})
};
fetch('https://api.rootly.com/v1/form_field_placement_conditions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "form_field_placement_conditions",
"attributes": {
"form_field_placement_id": "<string>",
"position": 123,
"form_field_id": "<string>",
"values": [
"<string>"
]
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update a Form Set Condition
